Page MenuHomePhabricator

Confusing scrollbar & resize handle placement in no-JS mode
Closed, ResolvedPublic1 Estimated Story Points

Description

The placement of scrollbars and resize handles (in the corner below the scrollbar) is very odd, especially in no-JS mode:

The large gaps on the right are where the buttons would go. But there are no buttons in no-JS mode.

The patch https://gerrit.wikimedia.org/r/592633 originally suggested to just remove some padding, leaving this:

Note the padding to the bottom and right is entirely gone, and the text touches the border.

In patch set 3 I'm suggesting this instead:

Changes:

  • The padding is still there, but not outside of the <textarea> any more, but inside.
  • The padding on the right is reduced.

Awaiting approval by @ecohen, and possibly PM, if needed.

Event Timeline

Restricted Application added projects: archived--TCB-Team, Design. · View Herald TranscriptApr 30 2020, 8:44 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

Change 592633 had a related patch set uploaded (by Thiemo Kreuz (WMDE); owner: Awight):
[mediawiki/extensions/TwoColConflict@master] Fix unexpected position of scrollbars & resize handles in no-JS

https://gerrit.wikimedia.org/r/592633

@thiemowmde Thanks, looks good to me!

awight removed a project: Unplanned-Sprint-Work.

I realized that this is a subtask of T244855: Non-javascript editing conflict resolution for talk pages, so have removed Unplanned-Sprint-Work , feel free to correct if that wasn't the right way to handle.

thiemowmde set the point value for this task to 1.Apr 30 2020, 9:41 AM

I reviewed this with @ecohen and we think the suggestion ('third version' above) looks good, so happy for you to go ahead with the patch.

I will put the Unplanned-Sprint-Work tag back in for tracking purposes as it does have additional story points associated with it.

Change 592633 merged by jenkins-bot:
[mediawiki/extensions/TwoColConflict@master] Fix unexpected position of scrollbars & resize handles in no-JS

https://gerrit.wikimedia.org/r/592633

WMDE-Fisch closed this task as Resolved.May 12 2020, 11:43 AM
WMDE-Fisch claimed this task.
WMDE-Fisch moved this task from Demo to Done on the WMDE-QWERTY-Sprint-2020-04-29 board.